# Uses of Interface
org.eclipse.gef.Handle

Packages that use Handle
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.handles
This package provide several common handle implementations.
org.eclipse.gef.ui.parts

## Uses of Handle in org.eclipse.gef

Methods in org.eclipse.gef that return Handle
Modifier and Type
Method
Description
`Handle`
GraphicalViewer.`findHandleAt(org.eclipse.draw2d.geometry.Point p)`
Returns the `Handle` at the specified Point.

## Uses of Handle in org.eclipse.gef.handles

Classes in org.eclipse.gef.handles that implement Handle
Modifier and Type
Class
Description
`class`
`AbstractHandle`
Base implementation for handles.
`class`
`BendpointCreationHandle`
A BendpointHandle that is used to create a new bendpoint.
`class`
`BendpointHandle`
A handle for bendpoints on a connection.
`class`
`BendpointMoveHandle`
A BendpointHandle that is used to move an existing bendpoint.
`final class`
`ConnectionEndHandle`
Deprecated.
use `ConnectionEndpointHandle`
`class`
`ConnectionEndpointHandle`
A handle used at the start or end of the `Connection`.
`class`
`ConnectionHandle`
The base implementation for handles used with editparts whose figure is a `Connection`.
`final class`
`ConnectionStartHandle`
Deprecated.
use `ConnectionEndpointHandle`
`class`
`MoveHandle`
A Handle used for moving `GraphicalEditPart`s.
`class`
`NonResizableHandle`
Deprecated.
this handle type is no longer used
`class`
`ResizeHandle`
A Handle used to resize a GraphicalEditPart.
`class`
`SquareHandle`
A small square handle approximately 7x7 pixels in size, that is either black or white.
Methods in org.eclipse.gef.handles that return Handle
Modifier and Type
Method
Description
`static Handle`
NonResizableHandleKit.`moveHandle(GraphicalEditPart owner)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
NonResizableHandleKit.`moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
ResizableHandleKit.`moveHandle(GraphicalEditPart owner)`
Returns a new `MoveHandle` with the given owner.
`static Handle`
ResizableHandleKit.`moveHandle(GraphicalEditPart owner, DragTracker tracker, Cursor cursor)`
Returns a new `MoveHandle` with the given owner and DragTracker.

## Uses of Handle in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return Handle
Modifier and Type
Method
Description
`Handle`
GraphicalViewerImpl.`findHandleAt(org.eclipse.draw2d.geometry.Point p)`